commit:     b5cdfafae9a40d9dc0c7fc8f40e71f87b8bdf4f3
Author:     Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 30 11:02:27 2020 +0000
Commit:     Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Thu Jul 30 11:18:07 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b5cdfafa

app-text/bibletime: EAPI-7, cmake.eclass, fix dependencies

Have also added a test phase which actually manages to launch the test
suite, unfortunately it doesn't run properly yet so continue to restrict
tests.

Signed-off-by: Marek Szuba <marecki <AT> gentoo.org>

 app-text/bibletime/bibletime-2.11.2.ebuild | 33 ++++++++++++++++++++++--------
 1 file changed, 24 insertions(+), 9 deletions(-)

diff --git a/app-text/bibletime/bibletime-2.11.2.ebuild 
b/app-text/bibletime/bibletime-2.11.2.ebuild
index ebbcd684ed6..4323fdebe25 100644
--- a/app-text/bibletime/bibletime-2.11.2.ebuild
+++ b/app-text/bibletime/bibletime-2.11.2.ebuild
@@ -1,20 +1,23 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-inherit cmake-utils
+VIRTUALX_REQUIRED=test
 
-DESCRIPTION="Qt Bible study application using the SWORD library"
-HOMEPAGE="http://www.bibletime.info/";
+inherit cmake virtualx
+
+DESCRIPTION="Qt Bible-study application using the SWORD library"
+HOMEPAGE="http://bibletime.info/";
 SRC_URI="https://github.com/${PN}/${PN}/releases/download/v${PV}/${P}.tar.xz";
 
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="debug"
+IUSE="test"
 
-# bug 313657
+# Some tests fail due to being unable to find an icon directory relative
+# to ${WORKDIR}, some others segfault. Needs work.
 RESTRICT="test"
 
 RDEPEND="
@@ -23,6 +26,7 @@ RDEPEND="
        dev-qt/qtcore:5
        dev-qt/qtgui:5
        dev-qt/qtprintsupport:5
+       dev-qt/qtsvg:5
        dev-qt/qtwebchannel:5
        dev-qt/qtwebengine:5
        dev-qt/qtwidgets:5
@@ -36,12 +40,23 @@ DEPEND="${RDEPEND}
        net-misc/curl
        sys-libs/zlib
 "
+BDEPEND="test? (
+       app-dicts/sword-Josephus
+       app-dicts/sword-KJV
+       app-dicts/sword-KJVA
+       app-dicts/sword-Scofield
+       app-dicts/sword-StrongsGreek
+)"
 
 DOCS=( ChangeLog README.md )
 
 src_prepare() {
-       cmake-utils_src_prepare
+       cmake_src_prepare
 
        sed -e "s:Dictionary;Qt:Dictionary;Office;TextTools;Utility;Qt:" \
-           -i cmake/platforms/linux/bibletime.desktop.cmake || die "fixing 
.desktop file failed"
+               -i cmake/platforms/linux/bibletime.desktop.cmake || die "fixing 
.desktop file failed"
+}
+
+src_test() {
+       virtx cmake_src_test || die "Test run has failed"
 }

Reply via email to